# Jeu laser

## Description

Le jeu laser est un jeu de réflexes dans lequel il faut viser des obstacles avec un laser. Le but est de toucher tous les obstacles en un minimum de temps.

De nouveaux obstacles apparaissent régulièrement.

Pour jouer il faut :

- se déplacer avec les flèches du clavier
- tirer avec la barre espace

## Technologies utilisées

Ce jeu utilise des technologies web. On peut y jouer depuis un navigateur web.

- HTML pour la structure de la page
- CSS pour la mise en forme
- JavaScript pour la logique du jeu et l'interaction avec le joueur

## Graphismes

Le style graphique est inspiré de l'espace et des jeux vidéo des années 80.

## Évolutions possibles

### Victoire

Le jeu pourrait être amélioré en ajoutant un système de victoire. Par exemple, le joueur pourrait gagner lorsqu'il n'y a plus d'obstacles à l'écran.

### Défaite

Le jeu pourrait être amélioré en ajoutant un système de défaite. Par exemple, le joueur pourrait perdre lorsqu'il y a trop d'obstacles à l'écran.

### Munitions limitées

Le jeu pourrait être amélioré en ajoutant un système de munitions limitées. Par exemple, le joueur pourrait avoir un nombre de tirs limité qui se recharge au fil du temps.

### Compatibilité mobile

Le jeu pourrait être amélioré en ajoutant une compatibilité mobile. Par exemple, le joueur pourrait tirer en appuyant sur un bouton à l'écran et se déplacer en inclinant son téléphone.

## Bugs connus

- En cas de redimensionnement de la fenêtre, le jeu ne se redimensionne pas correctement et les obstacles peuvent se retrouver en dehors de la zone de jeu.

## Développement

Démarrer la prévisualisation du jeu :

```bash
npx live-server .
```
